Subject: REVIEW: Epic
From: Jarno Kokko <[email-masked]>
Newsgroups: comp.sys.amiga.reviews

Epic is a 3D Space shoot-em up game based on a series of missions.

[Additions to this review appear at the end of this file. - JLT3]

 [This is my first review posting here, so I will introduce myself]
 
 - My name is Jarno Kokko, and I live in Vantaa, Finland. I like to
   play GOOD games that are well designed and fun to play. I usually
   throw mediocre games away after one play. I have an Amiga 500
   with a HD, and a Super Famicom. I also have access to PC's and 
   almost all consoles (even Neo Geo:-)
   Others think that I'm bit TOO tight on my opinions about not-
   so-great games, so keep in mind that I require almost perfect
   games before I'm willing to spend time on them. I found
   something to complain about even from Super Mario 4, so if
   you think that I completely slaughtered a game, you may
   still want to try it out...
   note that my english is not completely perfect, so if you think
   that my post has some major bug in it, drop some E-mail, but
   don't use flame-thrower because of typo errors...
   Creative comments --> [email-masked]
 
 And then let's get to the business... here is a review of
                 ______  ____    __  ______
                / ____/ / __ \  / / / ____/
               / __/_  / ____/ / / / /___  
              /_____/ /_/     /_/ /_____/ 
 
    Publisher: Ocean   Developer: Digital Image Design
 
    Formats: Amiga (reviewed here)
             ST (almost identical)
             PC (still under works, available maybe
                 in autumn. Should be better than this)
 
    Price: 25.99 UK pounds. Out Now (At least in Europe)
 
    Requires: 1 MB ram. has 3 disks.
 
 Epic is a 3D Space shoot-em up game based on a series of missions.
 The plot goes like this: The planet of a humanoid race was
 in grave danger caused by the unstable sun of their solar system,
 which was about to go nova. People had to evacuate their
 solar system and they started a long journey to another planet
 so they could continue their lives in peace. Only little problem
 was the Rexxon Empire which didn't want the evacuation fleet
 to enter their space. At this point player kicks in. Fleet
 has only three prototype EPIC super fighters, and player
 has the responsibility to fly one-man missions with one of
 these crafts against the Rexxon Empire. Missions vary from
 destroying a mine field to blasting some ground targets.
 Huge space battles are also promised at the end by the manual.
 
 First impressions: This game has quite good intro sequence,
 and 3D isn't THAT slow, comparing how much crap you have onscreen.
 On an A500 you will have to drop the detail levels a bit if you
 want to play this any longer. Missions are bit simple, basically
 shoot <place an objective here> until 100% of the mission
 objective is reached. Avoid any delays, as the time limits are
 VERY tight. Fuel is also a problem, but there are some fuel pods
 around to collect. You craft has some different weaponry,
 a some sort of laser cannon and few different missiles. 
 Between missions there is some not-so good story sequences.
 Overall bit dull to play. No real action. No atmospheric music.
 
 Good points: Very much 3D objects onscreen. Should be very good
 on accelerated Amigas. Pretty good variety of targets to blast
 away. Ground target blasting missions are quite good in fact.
 Intro sequence is worth watching. 
 
 Bad points: Slow on A500 without dropping detail levels. No
 HD install - A REAL bad thing considering this is 3 disk game.
 Quite limited story line. You don't want to complete it repeatedly.
 Very tight time limits. If you happen to spend 30 seconds trying
 to figure what to do next, you won't have enough time to complete
 the mission. Only three ships, and no game saving.
 You can use passwords to reach higher levels, but this is
 a bit downer, because you can read them from game mags in 
 few weeks. Speed control with mouse is no good, when you press
 mouse button, ship starts to accelerate quickly, and when you
 release the button, it virtually stops, so you have really only
 two settings. Stop and full speed. Starglider-style speed
 control would have been better. Music isn't really bad, but
 it's nothing to write home about either. Also no in-game
 music (a real downer). Sound effects are there, but they
 generally just bore you. 
 
 Graphics: 8   Sound: 6   Value: 6   Playability: 7 
 
 Summary: A 3D blaster that has been 2 years in the making.
 Someone may like this. I didn't. Try before you buy, and
 don't expect this to be a wing commander 3 for A500.
 
 Additional warning: No hard disk installation, and first 
 cracked versions that have been floating around crash on
 1 MB CHIP ram and accelerated Amigas, but a fix has been
 done, so it is possible that original works OK, but I have
 no solid evidence of this. Be sure you have a right for
 refund if it happens to crash on your setup. 
 
   ____________
 _| .signature |______________________________________________________
|                                                                     |
|  -------- Jarno Kokko --------  |  Borg: Prepare to be assimilated  |
|   --- [email-masked] --   |        by the Borg.               |
|    ---- Vantaa, Finland ----    |  Worf: Prepare to eat phasers.    |
|_____________________________________________________________________|

From: [email-masked]
Organization: The Amiga Online Review Column - ed. Jason L. Tibbitts III
Subject: REVIEW: Epic (additions)
Keywords: game, arcade, 3D, space, commercial
Path: karazm.math.uh.edu!amiga-reviews
Distribution: world
Newsgroups: comp.sys.amiga.reviews
Followup-To: comp.sys.amiga.games
Reply-To: [email-masked]

Further to the review of EPIC by Ocean / Digital Image Design by
Jarno Kokko, I have a few extra tidbits about the game:

First, a very brief summary of Jarno's review:

  Epic is a 3D space shoot-em-up based on a series of missions.
  Missions vary from destroying a mine field to blasting some ground
  targets. Huge space battles are also promised at the end by the manual.
  Missions are a bit simple, basically shoot <objective> until you are
  deemed to have shot enough.

  The introduction is atmospheric, but the in-game between mission story
  sequences are not-so-good. No music during game, and the 3D, though
  fast considering the number of objects, is slow on a standard A500.
  No hard disk install.

End of summary.

This is a fair review, but having played the game a little more
(though without completing it yet) I can add some more comments.

First, the game play. In the early stages it is a bit limited, being
of the `shoot what we tell you to' variety. Later stages do add a
little puzzle-solving, such as having to work out how to destroy a
target which is too well-shielded to be damaged by your weapons, but
the main problem is the short time you have to work out the fairly
simple solutions.

The mission that has impressed me most so far was the first of the big
space battles. You start beside one of your fleet's battleships.
All around are an array of other large ships - tankers, food ships,
accommodation ships. You are directed to the rear of the convoy, where
some Rexxon fighters (the enemy) are attacking the fleet. The sight of
your huge ships with the tiny enemy fighters buzzing around like flies
is quite impressive, and the ensuing battle really does give a feel of
being just a tiny part of a large fleet, as you see your own fighters
engage the enemy and try to protect the convoy ships.

Second, the 3D. As Jarno says, on a standard A500 it is quite slow - but
there is no way round this; a 7MHz 68000 just isn't up to the job. On
an accelerated Amiga (in my case 16MHz 68020) it is much, much better.
This makes a large difference to the game play - this is a game that really
benefits from a faster processor. As to Jarno's warning with compatibility,
no problems with my accelerator (indeed, the game intro sequence reports
`MC68020 detected'). The box states that the game is A3000 compatible,
so I am sure 1MB CHIP ram Amigas are fine - though I haven't checked this.

So, to summarise:
I really can't recommend this game for owners of unaccelerated Amigas.
For those who have a faster machine, I'm still not sure. Some of the
sequences are very impressive, in particular the space battles, but
overall the game play is fairly repetitive, and the mission-oriented
approach means that once every mission is completed (which shouldn't
take very many days for a good player) there is no more fun to be had
from the game. So, it's good... but it's not that good.

I do enjoy the space battles, though!

Andrew Leaver         Oxford University Computing Laboratory
------------------------------------------------------------
                      [email-masked]